Get matters
curl --request GET \
--url https://api.smokeball.com/matters \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/matters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/matters"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/matters")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/matters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"externalSystemId": "EXT01",
"versionId": "637771038395217729",
"number": "FUS-124",
"title": "AM-0323-0005 - Smith - Sale - Jones",
"matterType": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clients": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"otherSides": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"description": "This is a brief description for the matter",
"status": "Open",
"personResponsible": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssisting": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssistingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"originatingStaff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"originatingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"splitOriginatingStaffSettings": {
"isEnabled": true,
"splitMatterStaffs": [
{
"matterStaffId": "<string>",
"matterStaffRatio": 123
}
],
"splitMethod": "<string>",
"remainderStaffId": "<string>"
},
"supervisor": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clientCode": "Client A",
"openedDate": "2022-04-23T14:00:00Z",
"closedDate": "2022-04-23T14:00:00Z",
"leadOpenedDate": "2022-04-23T14:00:00Z",
"leadClosedDate": "2022-04-23T14:00:00Z",
"leadClosedReason": "No longer interested",
"isLead": false,
"branch": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"branchProviderId": "Smokeball",
"referralType": "<string>",
"referrer": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"referralAgreementFeeType": "<string>",
"referralAgreementFee": 123,
"referralAgreementFeeComment": "<string>",
"items": {},
"tags": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "a15086f5-4da7-4271-8fea-b24d479ced2b",
"type": "Staff",
"name": "",
"color": "Light Blue",
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Matters
Get matters
Returns a list of matters. To return leads, set the isLead search option to true.
GET
/
matters
Get matters
curl --request GET \
--url https://api.smokeball.com/matters \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/matters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/matters"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/matters")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/matters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"externalSystemId": "EXT01",
"versionId": "637771038395217729",
"number": "FUS-124",
"title": "AM-0323-0005 - Smith - Sale - Jones",
"matterType": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clients": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"otherSides": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"description": "This is a brief description for the matter",
"status": "Open",
"personResponsible": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssisting": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssistingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"originatingStaff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"originatingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"splitOriginatingStaffSettings": {
"isEnabled": true,
"splitMatterStaffs": [
{
"matterStaffId": "<string>",
"matterStaffRatio": 123
}
],
"splitMethod": "<string>",
"remainderStaffId": "<string>"
},
"supervisor": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clientCode": "Client A",
"openedDate": "2022-04-23T14:00:00Z",
"closedDate": "2022-04-23T14:00:00Z",
"leadOpenedDate": "2022-04-23T14:00:00Z",
"leadClosedDate": "2022-04-23T14:00:00Z",
"leadClosedReason": "No longer interested",
"isLead": false,
"branch": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"branchProviderId": "Smokeball",
"referralType": "<string>",
"referrer": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"referralAgreementFeeType": "<string>",
"referralAgreementFee": 123,
"referralAgreementFeeComment": "<string>",
"items": {},
"tags": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "a15086f5-4da7-4271-8fea-b24d479ced2b",
"type": "Staff",
"name": "",
"color": "Light Blue",
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Query Parameters
Type of matter to search for. This is set to Matters by default.
A Lead is a potential matter that has not yet been converted to a full matter. The data structure of a lead is similar to a matter, but with some small variances.
Possible values: "Matters", "Leads", "Matters,Leads".
Example:
"Leads"
Response
200 - application/json
When request is successful. Returns a paged collection of 'Matter' objects.